Exchange Rate Query API
API Information
| Item | Description |
|---|---|
| Method | POST |
| Path | /apis/v1/exchange-rate/query |
| Content-Type | application/json |
| Authentication | Required. Refer to 'Authorization Introduction' |
Description
This API is used to query exchange rates for the specified target currencies.
Request Parameters
Request body parameters:
| Parameter | Required | Type | Description |
|---|---|---|---|
targetCurrencys | Yes | array<string> | List of target currencies |
Response
The standard response structure is R<object>.
data.exchangeRates list fields:
| Field | Type | Description |
|---|---|---|
id | string | Exchange rate ID |
rateTime | string | Exchange rate time |
sourceCurrency | string | Source currency |
targetCurrency | string | Target currency |
rate | number | Exchange rate value |